<div>
   <h1>Cluster analysis and visualization</h1>
   <div>
       <mat-sidenav-container class="sidenav accordion-flush">
           <mat-sidenav mode="side" opened>

               <!--    Choose from available visualizations-->
               <mat-list-item>
                   <div class="title">Visualizations</div>
                   <mat-divider></mat-divider>
               <button mat-button class="nav-link" (click)="isSubmenuOpen=!isSubmenuOpen">
                   <span>Two features comparison </span>
                   <mat-icon>{{!isSubmenuOpen ? "expand_more" : "expand_less"}}</mat-icon>
               </button>
                <div *ngIf="isSubmenuOpen">
                    <button mat-button class="nav-link sub-item"
                            [ngClass]="{'opened' : selectedFeature === 0}"
                            (click)="change(0, 0)">
                        <span>Wrong flags per time played</span>
                    </button>
                    <br/>
                    <button mat-button class="nav-link sub-item"
                            [ngClass]="{'opened' : selectedFeature === 1}"
                            (click)="change(0,1)">
                        <span>Time spent after using a hint</span>
                    </button>
                </div>

                <div>
                    <button mat-button class="nav-link"
                            [ngClass]="{'opened' : selectedFeature === 2}"
                            (click)="change(2,2)">
                        <span>Behavior correlation chart</span>
                    </button>
                </div>
               </mat-list-item>


            </mat-sidenav>

           <!-- Main content -->
           <mat-sidenav-content style="margin-left: 255px;">
               <div id="scatterClustersSvgPlaceholder">
                   <div id="radarchartPlaceholder">
                   <kypo-clustering-visualization
                            [selectedComponent]="selectedComponent"
                            [selectedFeature]="selectedFeature"
                            [trainingDefinitionId]="trainingDefinitionId"
                            [trainingInstanceIds]="trainingInstanceIds"
                            [numOfClusters]="numOfClusters"
                            [isStandalone]="true"
                            [level]="level"
                   >
                   </kypo-clustering-visualization>
                   </div>
               </div>
            </mat-sidenav-content>
        </mat-sidenav-container>
    </div>
</div>
